Page MenuHomePhabricator

Enable wgAbuseFilterNotificationsPrivate by default for WMF wikis
Closed, ResolvedPublic

Description

I propose that, for all wikis where wgAbuseFilterNotifications is enabled, wgAbuseFilterNotificationsPrivate also be enabled, sending logs to udp, to help with patrolling

See prior task T218527, T46045, and T154358
I wouldn't expect this to be controversial, since it would not show up in Special:RecentChange but would in, eg, event streams and for irc.wikimedia.org

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptOct 22 2020, 11:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.Oct 22 2020, 11:43 PM
MadriCR added a subscriber: MadriCR.Nov 1 2020, 4:59 AM

The current is setup seems inconsistent, since private filters don't trigger a feed notification, yet an anonymous user can view on Special:AbuseLog that they were triggered, so I see no reason not to publish that through the RCFeed.

Daimona added a subscriber: Daimona.

Tagging as AbuseFilter so people in that project (e.g. me) can receive notifications about this task, and join the discussion if they wish to.

Change 638162 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] abusefilter.php: Enable wgAbuseFilterNotificationsPrivate by default for WMF wikis

https://gerrit.wikimedia.org/r/638162

Huji added a subscriber: Huji.EditedNov 2 2020, 8:58 PM

The current is setup seems inconsistent, since private filters don't trigger a feed notification, yet an anonymous user can view on Special:AbuseLog that they were triggered, so I see no reason not to publish that through the RCFeed.

Is this true tho? Not all our wikis are configured in such a way that their AbuseFilter logs are visible to the public (e.g. enwiki's logs are accessible to the public but fawiki's are not). Wouldn't this violate the community's decision as to what should or should not be accessible to the public?


UPDATE: Never mind; it does observe the public/nonpublic configuration of logs.

Change 638162 merged by jenkins-bot:
[operations/mediawiki-config@master] abusefilter.php: Enable wgAbuseFilterNotificationsPrivate by default for WMF wikis

https://gerrit.wikimedia.org/r/638162

Mentioned in SAL (#wikimedia-operations) [2020-11-09T15:12:20Z] <urbanecm@deploy1001> Synchronized wmf-config/abusefilter.php: 62c2e02f836095ba7e8c7b80d97a52aee885b619: abusefilter.php: Enable wgAbuseFilterNotificationsPrivate by default for WMF wikis (T266298) (duration: 01m 07s)

Urbanecm closed this task as Resolved.Mon, Nov 9, 3:13 PM
Urbanecm claimed this task.
Urbanecm added a subscriber: Urbanecm.

No objections for more than a week => done.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMon, Nov 9, 3:13 PM